{-# LANGUAGE TemplateHaskell #-}
module Precomputer
  ( runDeps
  , formatDependencyTrees
  ) where

import Types.Dependency (Dependency)
import qualified DependencyRunner as DR
import qualified Types.Dependency as D

import Data.Text (Text)
import Language.Haskell.TH.Syntax

runDeps :: [Dependency] -> Code Q (IO ())
runDeps deps = [|| DR.runDepRunMIO (DR.runDeps deps) ||]

formatDependencyTrees :: [Dependency] -> Code Q Text
formatDependencyTrees deps = [|| D.formatDependencyTrees deps ||]
