module Types.Values
  ( String(..)
  , FilePath
  , ImageConversionSettings(..)
  , Template(..)
  ) where

import Prelude hiding (String, FilePath)
import qualified Prelude

import Data.String (IsString(..))
import Data.Text (Text)
import Language.Haskell.TH.Syntax (Lift)

newtype String = StringWrapper Prelude.String
  deriving (Eq, Show, Lift)

type FilePath = String

instance IsString String where
  fromString = StringWrapper

data ImageConversionSettings = ResizeToWidth Int
  deriving (Eq, Show, Lift)

data Template = TemplateParts Text Text
  deriving (Eq, Show, Lift)
